<?php

$audit = Dever::config('base')->audit;

$status = array
(
	1 => '下架',
	2 => '上线发布',
);

# 每页的数据量
$page = 15;

$cate = function()
{
	$array = array();
	$info = Dever::db('course/cate')->state();
	if($info)
	{
		$array += $info;
	}
	return $array;
};

$share = array
(
	1 => '显示',
	2 => '不显示',
);

$template = array
(
	1 => '图文',
	2 => '视频',
);

# 常用的col
$col = 'id,cate_id,name,pic_cover,banner,num_add_view+num_view as num_view,content,template,`desc`';

return array
(
	# 表名
	'name' => 'info',
	# 显示给用户看的名称
	'lang' => '课程管理',
	'order' => 100,

	# 数据结构
	'struct' => array
	(
		'id' 		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> 'ID',
			'default' 	=> '',
			'desc' 		=> '',
			'match' 	=> 'is_numeric',
			'list'		=> true,
		),
		
		'name'		=> array
		(
			'type' 		=> 'varchar-80',
			'name' 		=> '标题-课程标题，同时也用于分享标题',
			'default' 	=> '',
			'desc' 		=> '标题',
			'match' 	=> 'is_string',
			'update'	=> 'text',
			'list'		=> true,
			'search'	=> 'fulltext',
			//增加预览
			'preview'	=> true,
		),

		'desc'		=> array
		(
			'type' 		=> 'varchar-500',
			'name' 		=> '摘要-课程摘要，同时也用于分享内容',
			'default' 	=> '',
			'desc' 		=> '摘要',
			'match' 	=> 'is_string',
			'update'	=> 'textarea',
		),
		
		'cate_id'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '所属分类',
			'default' 	=> '1',
			'desc' 		=> '所属分类',
			'match' 	=> 'is_numeric',
			'update'	=> 'select',
			'option'	=> $cate,
			'search'	=> 'select',
			'list'		=> 'Dever::load("course/cate-one#name", {cate_id})',
		),

  		'pic'		=> array
		(
			'type' 		=> 'varchar-150',
			'name' 		=> '1:1封面图-图片尺寸380*380px或等比尺寸，上传大小不能超过2M，支持JPG、PNG、GIF格式，建议上传JPG格式，同时用于分享图片',
			'default' 	=> '',
			'desc' 		=> '封面图',
			'match' 	=> 'is_string',
			'update'	=> 'image',
			'key' 		=> '1',
			'place'		=> '150',
		),

		'banner'		=> array
		(
			'type' 		=> 'text-255',
			'name' 		=> '课程banner图-显示在课程详情，可以传入多张',
			'default' 	=> '',
			'desc' 		=> '封面图',
			'match' 	=> 'is_string',
			'update'	=> 'images',
			'key' 		=> '1',
		),

		'price'      => array
        (
            'type'      => 'varchar-50',
            'name'      => '课程价格-每小时的课程价格，单位元，直接填写数字即可',
            'default'   => '',
            'desc'      => '课程价格',
            'match'     => 'is_string',
            'update'    => 'text',
        ),

		'num_add_view'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '浏览量基数',
			'default' 	=> '0',
			'desc' 		=> '浏览量基数',
			'match' 	=> 'option',
			//'update'	=> 'text',
		),

		'num_view'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '浏览量',
			'default' 	=> '0',
			'desc' 		=> '请填写浏览量',
			'match' 	=> 'option',
			'search'	=> 'order',
			'list'		=> '{num_view}+{num_add_view}',
		),

		'pdate'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '发布时间',
			'match' 	=> array('is_numeric', time()),
			'default'	=> '',
			'desc' 		=> '',
			'update'	=> 'date',
			'callback'	=> 'maketime',
			'insert'	=> true,
			//'list'		=> 'date("Y-m-d H:i:s", {pdate})',
			'auth'		=> '"{pdate}" > 0',
		),

		'reorder'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '排序(数值越大越靠前)',
			'default' 	=> '1',
			'desc' 		=> '请输入排序',
			'match' 	=> 'option',
			'update'	=> 'text',
			'search'	=> 'order',
			'list'		=> true,
			'order'		=> 'desc',
			'edit'		=> true,
		),

		'udate'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '更新时间',
			'match' 	=> array('is_numeric', time()),
			'desc' 		=> '',
		),

		'question'		=> array
		(
			'type' 		=> 'text-255',
			'name' 		=> '课程解决问题',
			'default' 	=> '',
			'desc' 		=> '课程解决问题',
			'match' 	=> 'is_string',
			'update'	=> 'editor',
			'key'		=> '1',
		),

		'wonderful'		=> array
		(
			'type' 		=> 'text-255',
			'name' 		=> '往期精彩',
			'default' 	=> '',
			'desc' 		=> '往期精彩',
			'match' 	=> 'is_string',
			'update'	=> 'editor',
			'key'		=> '1',
		),

		'content'		=> array
		(
			'type' 		=> 'text-255',
			'name' 		=> '课程内容',
			'default' 	=> '',
			'desc' 		=> '请输入内容',
			'match' 	=> 'is_string',
			'update'	=> 'editor',
			'key'		=> '1',
			//'media'		=> '5',//下面的音视频已经做到了
			//直接上传到云端
			//'upload'	=> 'qiniu',
			//上传大数据
			//'large' 	=> true,
			//自定义编辑器右侧按钮
			/*
			'editor'	=> array
			(
				'name' => '选择插入模块',
				'button' => array
				(
					array
					(
						# 名称
						'name' => '图片',
						# 资源库id
						'key' => 1,
						# 类型
						'type' => 'image',
					),
					array
					(
						'name' => '音频',
						'key' => 5,
						'type' => 'media',
					),
					array
					(
						'name' => '视频',
						'key' => 'video/lib/core.vod',
					),
					array
					(
						'name' => '直播',
						'key' => 'video/lib/core.live',
					),

					array
					(
						'name' => '小程序',
						'key' => 'content/lib/applet.update',
						'type' => 'update',
					),
				),
			),
			*/
		),

		'status'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '发布状态',
			'default' 	=> '2',
			'desc' 		=> '发布状态',
			'match' 	=> 'is_numeric',
			//'update'	=> 'select',
			'option'	=> $status,
			'search'	=> 'select',
			'list'		=> true,
			'edit'		=> true,
		),

		'state'		=> array
		(
			'type' 		=> 'tinyint-1',
			'name' 		=> '状态',
			'default' 	=> '1',
			'desc' 		=> '请选择状态',
			'match' 	=> 'is_numeric',
		),

		'admin_founder'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '创建人',
			'default' 	=> '1',
			'desc' 		=> '创建人',
			'match' 	=> 'is_numeric',
		),

		'admin_editor'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '操作人',
			'default' 	=> '1',
			'desc' 		=> '操作人',
			'match' 	=> 'is_numeric',
		),

		'cdate'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '录入时间',
			'match' 	=> array('is_numeric', time()),
			'desc' 		=> '',
			# 只有insert时才生效
			'insert'	=> true,
		),
	),

	# 索引
	'index' => array
	(
		'version' => 1,
		
		1 => array
		(
			'i1' => 'cate_id,reorder',
		)
	),
	
	# 管理功能
	'manage' => array
	(
		//'insert' => false,
		# 列表
		'list_button' => array
		(
			//'edit' => array('预览', str_replace('https://api.', 'http://www.', Dever::url('main/preview.get?type=1'))),
		),
	),

	# request 请求接口定义
	'request' => array
	(
		'search' => array
		(
			# 匹配的正则或函数 选填项
			'option' => array
			(
				'ids' => array('yes-id', 'in'),
				'cate_id' => 'yes',
				'name' => array('yes', 'like'),
				'id' => 'yes',
				'state' => 1,
			),
			'type' => 'all',
			'order' => array('reorder' => 'desc', 'pdate' => 'desc'),
			'limit' => '0,1000',
			'col' => 'name as name, id, id as value, "" as selected, "" as disabled|id',
		),

		'getAll' => array
		(
			# 匹配的正则或函数 选填项
			'option' => array
			(
				'cate_id' => 'yes',
				'cate_ids' => array('yes-cate_id', 'in'),
				'id' => 'yes',
				'status' => 2,
				'state' => 1,
			),
			'type' => 'all',
			'order' => array('reorder' => 'desc','pdate' => 'desc'),
			'page' => array($page, 'list'),
			'col' => $col,
		),

		'getList' => array
		(
			# 匹配的正则或函数 选填项
			'option' => array
			(
				'cate_id' => 'yes',
				'status' => 2,
				'state' => 1,
			),
			'type' => 'all',
			'order' => array('reorder' => 'desc','pdate' => 'desc'),
			'limit' => '0,10',
			'col' => $col,
		),

		'getRelation' => array
		(
			# 匹配的正则或函数 选填项
			'option' => array
			(
				'cate_id' => 'yes',
				'cate_ids' => array('yes-cate_id', 'in'),
				'noid' => array('yes-id', '!='),
				'status' => 2,
				'state' => 1,
			),
			'type' => 'all',
			'order' => array('reorder' => 'desc','pdate' => 'desc'),
			'limit' => '0,4',
			'col' => $col,
		),

		'getOne' => array
		(
			# 匹配的正则或函数 选填项
			'where' => array
			(
				'id' => 'yes',
			),
			'type' => 'one',
			'col' => $col,
		),
		
		# 更新浏览量
		'addView' => array
		(
			'type' => 'update',
			'where' => array
			(
				'id' => 'yes',
			),
			'set' => array
			(
				'num_view' => array('1', '+='),
			),
		),

		'getIds' => array
        (
            # 匹配的正则或函数 选填项
            'option' => array
            (
                'cate_id' => array('yes-cate_id', 'in'),
                'state' => 1,
            ),
            'type' => 'all',
            'order' => array('reorder' => 'desc','id' => 'desc'),
            'col' => '*,id as value|id',
        ),
	),
);
