<?php

$sex = array
(
	1 => '男',
	2 => '女',
	3 => '未知',
);

return array
(
	# 表名
	'name' => 'info',
	# 显示给用户看的名称
	'lang' => '销售人列表',
	'order' => 100,

	# 同步更新另外一个或多个表的数据
	'sync' => array
	(
		'seller/area' => array
		(
			# 更新另外一个表的字段 => 本表的字段
			'where' => array('seller_id', 'id'),
			# 要更新的数据
			'update' => array('area_id' => 'area'),
			# 同步更新的类型，delete为先删再插入，update为直接更新
			'type' => 'delete',
		),
	),

	# 数据结构
	'struct' => array
	(
		'id' 		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> 'ID',
			'default' 	=> '',
			'desc' 		=> '',
			'match' 	=> 'is_numeric',
			'list'		=> true,
		),
		
		'name'		=> array
		(
			'type' 		=> 'varchar-80',
			'name' 		=> '销售人名称',
			'default' 	=> '',
			'desc' 		=> '销售人名称',
			'match' 	=> 'is_string',
			'update'	=> 'text',
			'list'		=> true,
			'search'	=> 'fulltext',
			//增加预览
			'preview'	=> true,
		),

		'mobile'		=> array
		(
			'type' 		=> 'varchar-15',
			'name' 		=> '销售人手机号',
			'default' 	=> '',
			'desc' 		=> '销售人手机号',
			'match' 	=> 'is_string',
			'update'	=> 'text',
			'list'		=> true,
			'search'	=> 'fulltext',
		),

		'desc'		=> array
		(
			'type' 		=> 'varchar-500',
			'name' 		=> '销售人介绍-销售人介绍',
			'default' 	=> '',
			'desc' 		=> '销售人介绍',
			'match' 	=> 'is_string',
			'update'	=> 'textarea',
		),

  		'avatar'		=> array
		(
			'type' 		=> 'varchar-150',
			'name' 		=> '销售人头像-图片尺寸200*200px或等比尺寸，上传大小不能超过2M，支持JPG、PNG、GIF格式，建议上传JPG格式',
			'default' 	=> '',
			'desc' 		=> '销售人头像',
			'match' 	=> 'is_string',
			'update'	=> 'image',
			'key' 		=> '1',
			'place'		=> '150',
		),

		'sex'		=> array
		(
			'type' 		=> 'tinyint-1',
			'name' 		=> '性别',
			'default' 	=> '3',
			'desc' 		=> '性别',
			'match' 	=> 'is_numeric',
			'option' 	=> $sex,
			'update'	=> 'radio',
			//'list'		=> true,
		),

		'area'		=> array
		(
			'type' 		=> 'varchar-100',
			'name' 		=> '地区',
			'default' 	=> '',
			'desc' 		=> '地区',
			'match' 	=> 'is_string',
			'search'	=> 'linkage',
			'update'	=> 'linkage',//多级联动 option参数：请求地址（参数为level_num当前联动级数，level_id当前选择的id）
			'option'	=> Dever::url('api.get', 'area'),
			'list'		=> 'Dever::load("area/api.string", "{area}")',
		),

		'address'		=> array
		(
			'type' 		=> 'varchar-500',
			'name' 		=> '详细地址',
			'default' 	=> '',
			'desc' 		=> '详细地址',
			'match' 	=> 'option',
			'update'	=> 'text',
			//'search'	=> 'fulltext',
			// 'list'		=> true,	
		),

		'map'		=> array
		(
			'type' 		=> 'varchar-500',
			'name' 		=> '坐标位置',
			'default' 	=> '',
			'desc' 		=> '坐标位置',
			'match' 	=> 'option',
			//'update'	=> 'map',
			//'search'	=> 'fulltext',
			// 'list'		=> true,	
		),

		'reorder'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '排序(数值越大越靠前)',
			'default' 	=> '1',
			'desc' 		=> '请输入排序',
			'match' 	=> 'option',
			'update'	=> 'text',
			'search'	=> 'order',
			'list'		=> true,
			'order'		=> 'desc',
			'edit'		=> true,
		),

		'state'		=> array
		(
			'type' 		=> 'tinyint-1',
			'name' 		=> '状态',
			'default' 	=> '1',
			'desc' 		=> '请选择状态',
			'match' 	=> 'is_numeric',
		),


		'cdate'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '录入时间',
			'match' 	=> array('is_numeric', time()),
			'desc' 		=> '',
			# 只有insert时才生效
			'insert'	=> true,
		),
	),

	
	# 管理功能
	'manage' => array
	(
		
	),

	# request 请求接口定义
	'request' => array
	(
		
	),
);
